CVE-2005-4439
CVSS7.8
发布时间 :2005-12-20 20:03:00
修订时间 :2016-10-17 23:38:15
NMCO    

[原文]Buffer overflow in ELOG elogd 2.6.0-beta4 allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a URL with a long (1) cmd or (2) mode parameter.


[CNNVD]ELOG Web Logbook多个远程缓冲溢出漏洞(CNNVD-200512-471)

        ELOG elogd 2.6.0-beta4存在缓冲溢出,远程用户因此可以通过带有长(1)cmd或(2)mode的参数的URL发起拒绝服务攻击(应用程序崩溃)并可能执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.8 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4439
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4439
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-471
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=full-disclosure&m=113498708213563&w=2
(UNKNOWN)  FULLDISC  20051219 elogd 2.6.0 overflow
http://securitytracker.com/id?1015379
(UNKNOWN)  SECTRACK  1015379
http://www.debian.org/security/2006/dsa-967
(UNKNOWN)  DEBIAN  DSA-967
http://www.securityfocus.com/bid/15932
(UNKNOWN)  BID  15932
http://www.vupen.com/english/advisories/2005/3000
(UNKNOWN)  VUPEN  ADV-2005-3000
http://xforce.iss.net/xforce/xfdb/23838
(UNKNOWN)  XF  elogd-http-request-bo(23838)
http://xforce.iss.net/xforce/xfdb/24703
(UNKNOWN)  XF  elog-cmd-mode-bo(24703)

- 漏洞信息

ELOG Web Logbook多个远程缓冲溢出漏洞
高危 缓冲区溢出
2005-12-20 00:00:00 2005-12-21 00:00:00
远程  
        ELOG elogd 2.6.0-beta4存在缓冲溢出,远程用户因此可以通过带有长(1)cmd或(2)mode的参数的URL发起拒绝服务攻击(应用程序崩溃)并可能执行任意代码。

- 公告与补丁

        

- 漏洞信息

21844
ELOG Multiple Parameter Overflow DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

A remote overflow exists in ELOG. The application fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted request containing an overly long string to the 'cmd' or 'mode' parameter, a remote attacker can cause the application to crash resulting in a loss of availability.

- 时间线

2005-12-19 Unknow
2005-12-19 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站